// articulos.h - Declaración de la clase CTelefonos
#if !defined( _TELEFONOS_H_ )
#define _TELEFONOS_H_

#include <fstream>
#include "persona.h"

/////////////////////////////////////////////////////////////////
// clase base de datos
class CTelefonos : private std::fstream
{
  private:
    std::string nombreFichero;
    int modo; // 1 = leer y escribir, 2 = añadir
    bool borrado;
  public:
    CTelefonos();
    ~CTelefonos();
    int Modo() { return modo; }
    bool existe(std::string&);  // true si el fichero existe
    CPersona LeerReg(long nreg) throw(failure); // leer un registro
    bool TieneRegsBorrados() { return borrado; }
    void Nuevo(std::string&) throw(failure); // crear un fichero
    void Abrir(std::string&) throw(failure); // abrir un fichero
    void Agregar() throw(failure); // añadir registros al fichero
    long Buscar(const char *, long pos); // buscar un registro
    void Modificar() throw(failure); // modificar un registro
    bool Eliminar(long tel); // eliminar un registro
    void Actualizar() throw(failure);
};
#endif // _TELEFONOS_H_
/////////////////////////////////////////////////////////////////
